Bug 182985 - [PATCH] www/nginx: do not depend on OpenSSL port on 10
[PATCH] www/nginx: do not depend on OpenSSL port on 10
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Sergey A. Osokin
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-15 01:20 UTC by Martin Matuska
Modified: 2014-04-01 01:50 UTC (History)
1 user (show)

See Also:


Attachments
nginx-1.4.3,1.patch (355 bytes, patch)
2013-10-15 01:20 UTC, Martin Matuska
no flags Details | Diff
nginx.patch (343 bytes, patch)
2014-03-28 09:17 UTC, Tijl Coosemans
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Matuska freebsd_committer 2013-10-15 01:20:00 UTC
Use OpenSSL from system for SPDY on FreeBSD 10

Port maintainer (osa@FreeBSD.org) is cc'd.

Generated with FreeBSD Port Tools 0.99_8 (mode: change, diff: ports)
Comment 1 Edwin Groothuis freebsd_committer 2013-10-15 01:20:08 UTC
Responsible Changed
From-To: freebsd-ports-bugs->osa

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 jeroen 2014-01-08 09:21:14 UTC
Hi,

This actually breaks if you do have the openssl port installed on your =
system in FreeBSD10.

Can this be changed so that nginx will use openssl from ports if it is =
there, and use base openssl if no openssl port is installed?

Thanks,
Jeroen.
Comment 3 jeroen 2014-02-10 18:57:39 UTC
I don=92t understand why there is a check for "${OSVERSION} < 1000043=94.
I have just compiled the port, with the latest openssl port installed, =
and it compiles and runs fine.
But the current Makefile does not allow me to build it like that.
Comment 4 darren 2014-02-28 23:05:32 UTC
Setting WITH_OPENSSL_BASE isn't necessary in any case.  The fix is to 
remove the "else" case for the SPDY OSVERSION test.  We've long since 
passed maintainer timeout.
Comment 5 jeroen 2014-03-08 21:04:08 UTC
There has been another update for nginx, and again it breaks if you have =
OpenSSL port installed.
Comment 6 Tijl Coosemans freebsd_committer 2014-03-28 09:17:21 UTC
Hi,

Here's an updated patch for ports/182985 that removes WITH_OPENSSL_BASE=yes.
so users can also use the OpenSSL port if they want to.  This makes
www/nginx the same as www/nginx-devel.
Comment 7 dfilter freebsd_committer 2014-04-01 01:40:10 UTC
Author: feld
Date: Tue Apr  1 00:40:05 2014
New Revision: 349818
URL: http://svnweb.freebsd.org/changeset/ports/349818
QAT: https://qat.redports.org/buildarchive/r349818/

Log:
  Update OpenSSL logic to match www/nginx-devel
  
  PR:		ports/182985
  Approved by:	maintainer timeout

Modified:
  head/www/nginx/Makefile

Modified: head/www/nginx/Makefile
==============================================================================
--- head/www/nginx/Makefile	Mon Mar 31 23:25:50 2014	(r349817)
+++ head/www/nginx/Makefile	Tue Apr  1 00:40:05 2014	(r349818)
@@ -3,7 +3,7 @@
 
 PORTNAME=	nginx
 PORTVERSION=	1.4.7
-PORTEPOCH=	1
+PORTEPOCH=	2
 CATEGORIES=	www
 MASTER_SITES=	http://nginx.org/download/
 MASTER_SITES+=	${MASTER_SITE_LOCAL}
@@ -850,8 +850,6 @@ USE_OPENSSL=	yes
 .if ${PORT_OPTIONS:MSPDY}
 .if ${OSVERSION} < 1000028
 WITH_OPENSSL_PORT=	yes
-.else
-WITH_OPENSSL_BASE=	yes
 .endif
 .endif
 .endif
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 8 Mark Felder freebsd_committer 2014-04-01 01:40:49 UTC
State Changed
From-To: open->closed

Committed. Thanks!